info = {}

function info.load()
	
	info.gui = List:new()
	info.gui:add(GetConst("pause"))
	
	infoText = string.rep("Hello ",100)
	
	infoText = [[
	
	DATA ENTRY 1173_2100
	
	[HEAD]
	
	Artist : The Mixers
	Album : RED
	Lot Number: 1173
	
	[/HEAD]
	
	[BODY]
	
	The Mixers are a Synth-punk band, based out of Gold. Despite the name of their debut album, and their humble roots, they have still garnered critical acclaim the city over, and managed to snag a deal with Juicy Vee for their track "Femboy". The album itself deals with the struggles felt by residents of the Red district, and has several tracks currently cruising on the top 1000 charts, such as "Joeboy Blues" and "Dome-rise". The NLM Auditory Division has hinted at a second album in the wings, but all members of the band have refused comment.
	
	
	[/BODY]
	
	]]
	
	info.gui:add(TextObject:new(Vector2:new(50,50), infoText, GetConst("textFont"), {["limit"]=620,["align"]="left"}, {30,170,0}))
end

function info.onStart()
	
	love.window.setMode( 700,700, {["borderless"]=true})
	love.window.setTitle("Band Info")
	
end

function info.draw()
	love.graphics.setColor(30, 50,30)
	love.graphics.rectangle("fill", 0, 0, 700,700)
	
	info.gui:draw()
	
end

function info.update(dt)
	
	info.gui:mousehover(love.mouse.getX(), love.mouse.getY())
	
end

function info.mousepressed(x,y,button)
	
	info.gui:mousepressed(x,y,button)
	
end

function info.mousereleased(x,y,button)
	
	info.gui:mousereleased(x,y,button)
	
end

RegState("info",info)