quit = {}

function quit.load()
	--[[
	width, height = love.window.getDesktopDimensions()
	
	staticFrames = {}
	
	for i = 1, 3 do
		c = love.graphics.newCanvas()
		love.graphics.setCanvas(c)
		for x = 1, width do
			for y = 1, height do
				
				love.graphics.setColor(255,255,255,love.math.noise(x,y,i))
				love.graphics.point(x, y)
				
			end
		end
		love.graphics.setCanvas()
		staticFrames[i] = c
	end
	]]--
end

function quit.onStart()
	
	EndSound:play()
	
	quit.width = love.window.getWidth()
	quit.height = love.window.getHeight()
	quit.t=0
	
	love.event.quit()
end

function quit.update(dt)
	quit.t = quit.t + dt
	if not EndSound:isPlaying() then
		
		
		
	end
	
end

function quit.draw()

	
end

RegState("quit", quit)