
Timer = {}

function Timer:new(length, f, args, loop)
	local n={}
	setmetatable(n,self)
	self.__index = self
	
	n.t = 0
	n.length = length
	n.f = f
	n.args = args
	n.loop = loop or false
	n.state = STATE
	return n
end

function Timer:update(dt)

	self.t = self.t + dt
	
	if self.t >= self.length then
	
		--time reached!
		self.f(self.args)
		
		if self.loop then
			self.t = 0
		else
			
			DelTimer(self,self.state)
		end
		
	end

end

