
--David Relihan @ stackoverflow.com

--[[
int roundUp(int numToRound, int multiple)  
{  
 if(multiple == 0)  
 {  
  return numToRound;  
 }  

 int remainder = numToRound % multiple; 
 if (remainder == 0)
  {
    return numToRound; 
  }

 return numToRound + multiple - remainder; 
} 
]]--

function roundUp(num, multiple)
	
	if multiple == 0 then
		return num
	end
	
	remainder = num % multiple
	
	if remainder == 0 then
		return num
	end
	
	return num + multiple - remainder
	
end

function toggle(var, t, f)
	t = t or true
	f = f or false
	if var == t then
		return f
	else
		return t
	end
end

function remap(value, low1, high1, low2, high2, lock)
	
	if lock then 
		
		if value > high1 then
			
			value = high1
			
		end
		
	end
	
	return (value * ((high2-low2)/(high1-low1))) + low2
	
end

function randomSelect(t)
	
	i = love.math.random(1,#t)
	
	return t[i]
	
end

function randomPercent(percent)
	
	val = love.math.random()*100

	
	
	if val <= percent*100 then
		return true
		
	end
	
	return false
end

function randomPercentGet(_, percent)
	return randomPercent(percent)
end